Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class DualWidget

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.annotations.Annotation
              org.pdfclown.documents.interaction.annotations.Widget
                  org.pdfclown.documents.interaction.annotations.DualWidget

All Implemented Interfaces:
  Cloneable, ILayerable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class DualWidget

extends Widget

Dual-state widget annotation.

As its name implies, it has two states: on and off.

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.interaction.annotations.Widget
`Widget.HighlightModeEnum`

Nested classes/interfaces inherited from class org.pdfclown.documents.interaction.annotations.Annotation
`Annotation.FlagsEnum`

Constructor Summary
`DualWidget(Page page, Rectangle2D box, String widgetName)`

Method Summary
`DualWidget` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`String` | `getWidgetName()`

Methods inherited from class org.pdfclown.documents.interaction.annotations.Widget
`getActions, getAppearanceCharacteristics, getHighlightMode, setAppearanceCharacteristics, setHighlightMode, wrap`

Methods inherited from class org.pdfclown.documents.interaction.annotations.Annotation
`delete, getAction, getAppearance, getBorder, getBox, getColor, getFlags, getLayer, getModificationDate, getName, getPage, getText, isPrintable, isVisible, setAction, setActions, setAppearance, setBorder, setBox, setColor, setFlags, setLayer, setModificationDate, setName, setPrintable, setText, setVisible, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DualWidget

    public DualWidget(Page page,
                      Rectangle2D box,
                      String widgetName)

Parameters:
  `widgetName` - Widget name. It corresponds to the on-state name.

Method Detail

### clone

    public DualWidget clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Widget`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getWidgetName

    public String getWidgetName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.